What iOS version is required for the TrainingPeaks mobile app?

The TrainingPeaks mobile app for iPhone and iPad is currently compatible with iOS version 13.0 and newer.  

Was this article helpful?
0 out of 0 found this helpful